SND_JACK_SET_PARENT(9)

NAME
snd_jack_set_parent - Set the parent device for a jack

SYNOPSIS

void snd_jack_set_parent(struct snd_jack * jack, struct device * parent);

ARGUMENTS

jack
    The jack to configure

parent
    The device to set as parent for the jack.

DESCRIPTION

Set the parent for the jack devices in the device tree. This function is only valid prior to registration of the jack. If no parent is configured then the parent device will be the sound card.

COPYRIGHT